Bug 126335 - quotaon on xfs: Mountpoint (or device) / not found.
Summary: quotaon on xfs: Mountpoint (or device) / not found.
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: quota (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: athlon Linux
medium
medium
Target Milestone: ---
Assignee: Steve Dickson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-19 04:00 UTC by Ivan Gyurdiev
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-15 14:35:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ivan Gyurdiev 2004-06-19 04:00:22 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040518 Firefox/0.8

Description of problem:
That's mecause hasmntopt(... MNTOPT_QUOTA) returns false.
 
In fact:

[root@cobra quota-tools]# mount -o remount,quota /
mount: / not mounted already, or bad option
[root@cobra quota-tools]#

and

/dev/hda7 on / type xfs (rw) []

Even though:

SGI XFS with ACLs, security attributes, large block numbers, no debug
enabled
SGI XFS Quota Management subsystem
XFS mounting filesystem hda7

since XFS quotas are started with a boot parameter.

As a result I can't edit quotas with edquota (No filesystems with
quota detected.), and quotaon tells me mountpoint not found (which is
extremely misleading by the way - worst error message ever)



Version-Release number of selected component (if applicable):
quota-3.10-2

How reproducible:
Always

Steps to Reproduce:
1. See summary
    

Additional info:

Comment 1 Ivan Gyurdiev 2004-07-21 21:25:20 UTC
30+ days and no reply.

Comment 2 Ivan Gyurdiev 2004-08-16 04:54:49 UTC
quota-3.10-2

50+ days, no reply 

Comment 3 Steve Dickson 2004-10-15 13:21:20 UTC
I believe this is fixed quota-3.12-5... Also sorry for the delayed 
response

Comment 4 Ivan Gyurdiev 2004-10-15 14:35:24 UTC
Well... I can't retest it now.
In the meantime my hard drive broke, all my data was lost, 
I had to reinstall from scratch, I now use ext3 and I haven't even set
up quotas yet. That's pretty amusing actually... hardware turns
obsolete, generations come and go while Fedora bugs remain :)

Well, in any case thanks for the reply.
I'll be sure to refile this if I ever use xfs with quotas again.
On the other hand I'll probably go straight to reiser4 from here, so...


Note You need to log in before you can comment on or make changes to this bug.